### Virtual Method

# Gtk TreeModel row_deleted

#### Declaration [src]

    void
    row_deleted (
      GtkTreeModel* tree_model,
      GtkTreePath* path
    )

#### Description [src]

Emits the ::row-deleted signal on `tree_model`.

See `GtkTreeModel::row-deleted`.

This should be called by models after a row has been removed. The location pointed to by `path` should be the location that the row previously was at. It may not be a valid location anymore.

Nodes that are deleted are not unreffed, this means that any outstanding references on the deleted node should not be released.

#### Parameters

`path` | `GtkTreePath`
| A `GtkTreePath` pointing to the previous location of the deleted row.
| The data is owned by the caller of the function.